<?php if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif; ?>

<footer class="footer-section footer-multi-wrapper">
   
    <?php if (is_active_sidebar('markety-footer-three-column' )): ?>
        <div class="container">
            <div class="primary-footer">
                <div class="row">
                    <div class="tt-sidebar-wrapper footer-sidebar clearfix" role="complementary">
                        <?php dynamic_sidebar('markety-footer-three-column' );?>
                    </div>
                </div>
            </div> <!-- .primary-footer -->
        </div> <!-- .container -->
    <?php endif; ?>
    
    <div class="footer-copyright">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="copyright">
                        <?php if (markety_option('footer-text', false, false)) : ?>
                            <?php echo wp_kses(markety_option('footer-text'), array(
                                'a'      => array(
                                    'href'   => array(),
                                    'title'  => array(),
                                    'target' => array()
                                ),
                                'br'     => array(),
                                'em'     => array(),
                                'strong' => array(),
                                'ul'     => array(),
                                'li'     => array(),
                                'p'      => array(),
                                'span'   => array(
                                    'class' => array()
                                )
                            )); 
                            
                            else : ?>
                            <?php printf(
                                esc_html__('Copyright &copy; %1$s | %2$s Theme by %3$s | Powered by %4$s', 'markety'),
                                date('Y'), 
                                esc_html__('Markety', 'markety'),
                                "<a href='http://trendytheme.net'>".esc_html__('TrendyTheme', 'markety')."</a>",
                                "<a href='https://wordpress.org'>".esc_html__('WordPress', 'markety')."</a>"
                            ); ?>
                        <?php endif; ?>

                        <?php if ( function_exists( 'the_privacy_policy_link' ) ) :
                            the_privacy_policy_link( '&nbsp|', '' );
                        endif; ?>
                    </div> <!-- .copyright -->
                </div> <!-- .col-# -->

                <?php if (markety_option('social-icon-visibility', false, true)) : ?>
                    <div class="col-sm-6">
                        <div class="social-links-wrap text-right">
                            <?php get_template_part('template-parts/social', 'icons');?>
                        </div> <!-- .social-links-wrap -->
                    </div>
                <?php endif; ?>
            </div> <!-- .row -->
        </div> <!-- .container -->
    </div> <!-- .footer-copyright -->
</footer> <!-- .footer-section -->