<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php esc_url( bloginfo( 'pingback_url' ) ); ?>">
    <?php wp_head(); ?>
</head>

<body id="home" <?php body_class(); ?> data-spy="scroll" data-target=".navbar" data-offset="100" itemscope itemtype="http://schema.org/WebPage">
    <?php if (markety_option('page-preloader', false, true)) : ?>
        <div id="preloader" style="background-color: <?php echo esc_attr(markety_option('loader-bg-color', false, '#ffffff'));?>">
            <div id="status">
                <div class="status-mes" style="background-image: url(<?php echo esc_url(markety_option('tt-loader', 'url', get_template_directory_uri() . '/images/preloader.gif'));?>);"></div>
            </div>
        </div>
    <?php endif; ?>

    <?php if (markety_option('top-border-style', false, true)): ?>
        <div class="top-border-style">
            <span class="theme-bg"></span>
            <span class="info-bg"></span>
            <span class="dark-green-bg"></span>
        </div>
    <?php endif; ?>
    
    <?php $tt_header_style = markety_option('header-style', false, 'header-default');
        $page_header = "";
        if (function_exists('rwmb_meta')) : 
            $page_header = rwmb_meta('markety_header_style');
        endif;

        if ($page_header == 'inherit-theme-option') :
            if ($tt_header_style == 'header-transparent') :
                get_header('transparent');
            else :
                get_header('default');
            endif;
        else :
            if ($page_header == 'header-transparent') :
                get_header('transparent');
            else :
                get_header('default');
            endif;
        endif;
    ?>

<?php get_template_part( 'page', 'header' );