<?php
    if ( ! defined( 'ABSPATH' ) ) :
        exit; // Exit if accessed directly
    endif;
    
    $tt_atts = vc_map_get_attributes( $this->getShortcode(), $atts );
    
    global $tt_icon_block_attr;

    ob_start();

    // icon
    $icon_type = $icon = $icon_color = $icon_bg_color = $title_color = $icon_border_color = "";

    if ($tt_atts['icon_type'] == 'fontawesome-icon') :
        $icon_type = "fontawesome-icon";
        $icon = $tt_atts['fontawesome_icon'];
    elseif ($tt_atts['icon_type'] == 'flat-icon') :
        $icon_type = "flat-icon";
        $icon = $tt_atts['flat_icon'];
    endif;

    // colors
    if ($tt_atts['icon_color_option'] == 'custom-color') :
        $icon_color = 'color:'.$tt_atts['icon_color'].';';
    endif;

    if ($tt_atts['bg_color_option'] == 'custom-color') :
        $icon_bg_color = 'background-color:'.$tt_atts['icon_bg_color'].';';
        $icon_border_color = 'border-color:'.$tt_atts['icon_bg_color'].';';
    endif;

    if ($tt_atts['title_color_option'] == 'custom-color') :
        $title_color = 'color:'.$tt_atts['title_color'].';';
    endif;

    // block height
    $block_height = "";
    if ($tt_icon_block_attr['block_height']) {
        $block_height = 'min-height:'.$tt_icon_block_attr['block_height'].';';
    }

    // link
    $link     = vc_build_link($tt_atts['link']);
    $a_href   = $link['url'];
    $a_title  = $link['title'];
    $a_target = trim($link['target']);

    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $tt_atts['css'], ' ' ), $this->settings['base'], $atts );

?>
<div class="icon-block-grid masonry-column col-sm-6 col-md-<?php echo esc_attr($tt_icon_block_attr['grid_column'].' '.$tt_atts['el_class'].' '.$css_class); ?>">
    <div class="icon-block <?php echo esc_attr($tt_atts['icon_style'].' '.$tt_atts['icon_position']); ?>" style="<?php echo esc_attr($block_height); ?>">
        <?php if ($tt_atts['show_icon'] == 'yes') : ?>
            <div class="tt-icon <?php echo esc_attr($icon_type.' '.$tt_atts['icon_hover_bg_color']);?>">
                <?php if ($tt_atts['custom_link'] == 'yes') : ?>
                    <a href="<?php echo esc_attr($a_href)?>"><i class="<?php echo esc_attr($icon.' '.$tt_atts['icon_color_option'].' '.$tt_atts['bg_color_option']);?>" style="<?php echo esc_attr($icon_color.' '.$icon_bg_color.' '.$icon_border_color)?>"></i></a>
                <?php else : ?>
                    <i class="<?php echo esc_attr($icon.' '.$tt_atts['icon_color_option'].' '.$tt_atts['bg_color_option']) ;?> " style="<?php echo esc_attr($icon_color.' '.$icon_bg_color.' '.$icon_border_color)?>"></i>
                <?php endif; ?>
            </div>
        <?php endif; ?>
        
        <div class="tt-content">
            <h3 class="<?php echo esc_attr($tt_atts['title_color_option']); ?>" style="<?php echo esc_attr($title_color)?>">
                <?php if ($tt_atts['custom_link'] == 'yes') : ?>
                    <a class="<?php echo esc_attr($tt_atts['title_color_option']); ?>" href="<?php echo esc_attr($a_href)?>" style="<?php echo esc_attr($title_color)?>"><?php echo esc_html($tt_atts['title'])?></a>
                <?php else : ?>
                    <?php echo esc_html($tt_atts['title'])?>
                <?php endif; ?>
            </h3>
            <?php echo wpb_js_remove_wpautop($content, true);?>
        </div>

        <?php if ($tt_icon_block_attr['block-style'] == 'border-box-style'): ?>
            <div class="border-box" style="<?php echo esc_attr($icon_bg_color); ?>"></div>
        <?php endif ?>
    </div> <!-- .icon-block -->
</div> <!-- .icon-block-grid -->

<?php echo ob_get_clean();