<?php
    if ( ! defined( 'ABSPATH' ) ) :
        exit; // Exit if accessed directly
    endif;
    
    $tt_atts = vc_map_get_attributes( $this->getShortcode(), $atts );

    ob_start();

    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $tt_atts['css'], ' ' ), $this->settings['base'], $atts );

    // icon
    $icon_type = "";
    $icon = "";

    if ($tt_atts['icon_type'] == 'fontawesome-icon') :
        $icon_type = "fontawesome-icon";
        $icon = $tt_atts['fontawesome_icon'];
    elseif ($tt_atts['icon_type'] == 'flat-icon') :
        $icon_type = "flat-icon";
        $icon = $tt_atts['flat_icon'];
    elseif ($tt_atts['icon_type'] == 'image-icon') :
        $icon_type = "image-icon";
        $icon = $tt_atts['image_icon'];
    endif;

    // color
    $icon_color = "";
    $title_color = "";
    $content_bg_color = "";

    if ($tt_atts['icon_color_option'] == 'custom-color') :
        $icon_color = 'color:'.$tt_atts['icon_color'].'';
    endif;

    if ($tt_atts['title_color_option'] == 'custom-color') :
        $title_color = 'color:'.$tt_atts['title_color'].'';
    endif;

    if ($tt_atts['content_box_bg_color'] == 'custom-color') :
        $content_bg_color = 'background-color:'.$tt_atts['content_custom_color'].'';
    endif;

    // block height
    $block_height = "";
    if ($tt_atts['block_height']) {
        $block_height = 'min-height:'.$tt_atts['block_height'].'';
    }

    // link
    $link     = vc_build_link($tt_atts['link']);
    $a_href   = $link['url'];
    $a_title  = $link['title'];
    $a_target = trim($link['target']);

?>

    <div style="<?php echo esc_attr($content_bg_color);?>" class="tt-icon-block-wrapper tt-content-wrapper text-center <?php echo esc_attr($tt_atts['content_box_style'].' '.$tt_atts['content_box_bg_color'].' '.$css_class.' '.$tt_atts['el_class']); ?>">
        <div class="tt-content-inner">
            <div class="tt-visible-content">
                <?php if ($tt_atts['show_icon'] == 'yes') : ?>
                    <div class="tt-content-icon <?php echo esc_attr($icon_type);?>">
                        <?php if ($tt_atts['custom_link'] == 'yes') : ?>
                            <a href="<?php echo esc_attr($a_href)?>">
                                <?php if ($tt_atts['icon_type'] == 'fontawesome-icon' || $tt_atts['icon_type'] == 'flat-icon'): ?>
                                    <i class="<?php echo esc_attr($icon);?>" style="<?php echo esc_attr($icon_color)?>"></i>
                                <?php else : 
                                    $img_src = wp_get_attachment_image_src( $icon, 'thumbnail' ); ?>
                                
                                    <img class="img-responsive" src="<?php echo esc_url( $img_src[ 0 ] ); ?>" alt="<?php echo wp_kses( $tt_atts['title'], array() ); ?>">

                                <?php endif ?>
                            </a>
                        <?php else : ?>
                            <?php if ($tt_atts['icon_type'] == 'fontawesome-icon' || $tt_atts['icon_type'] == 'flat-icon'): ?>
                                <i class="<?php echo esc_attr($icon.' '.$tt_atts['icon_color_option']) ;?> " style="<?php echo esc_attr($icon_color)?>"></i>
                            <?php else : 
                                $img_src = wp_get_attachment_image_src( $icon, 'thumbnail' ); ?>
                            
                                <img class="img-responsive" src="<?php echo esc_url( $img_src[ 0 ] ); ?>" alt="<?php echo wp_kses( $tt_atts['title'], array() ); ?>">

                            <?php endif ?>
                        <?php endif; ?>
                    </div>
                <?php endif; ?>

                <div class="tt-content-desc">
                    <?php if ($tt_atts['title']): ?>
                        <h2 class="<?php echo esc_attr($tt_atts['title_color_option']);?>" style="<?php echo esc_attr($title_color)?>"><?php echo esc_html($tt_atts['title']); ?></h2>
                    <?php endif; ?>
                </div>
            </div><!-- visible-content -->

            <div class="tt-hidden-content">
                <?php echo wpb_js_remove_wpautop($content, true);?>
            </div><!-- /.hidden-content -->

            <?php if ($tt_atts['custom_link'] == 'yes' and $tt_atts['readmore_text']) : ?>
                <div class="tt-content-more">
                    <a href="<?php echo esc_attr($a_href)?>"><?php echo esc_html($tt_atts['readmore_text'])?></a>
                </div>
            <?php endif; ?>
        </div>
    </div><!-- /.tt-content-wrapper -->
<?php 
echo ob_get_clean();