<?php 
    if ( ! defined( 'ABSPATH' ) ) :
        exit; // Exit if accessed directly
    endif;
    
    $tt_atts = vc_map_get_attributes( $this->getShortcode(), $atts );

    ob_start();
?>

    <div class="member-wrapper <?php echo esc_attr($tt_atts['el_class']); ?>">
        <div class="row">
            <?php 
            $args = array(
               'post_type'      => 'tt-member',
               'posts_per_page' => $tt_atts['post_limit'],
               'post_status'    => 'publish',
               'order'          => $tt_atts['member_order']
            );

            $query = new WP_Query($args);

            if ( $query->have_posts() ) : ?>
                <!-- the loop -->
                <?php while ( $query->have_posts() ) : $query->the_post(); ?>

                    <div class="col-xs-12 col-sm-6 col-md-<?php echo esc_attr($tt_atts['grid_column']); ?>">
                      <div class="team-member-wrapper">
                        
                        <div class="team-thumb">
                            <?php the_post_thumbnail('markety-member', array('alt' => markety_alt_text(), 'class' => 'img-responsive' ));?>
                        </div>

                        <div class="member-info text-center">
                            <div class="member-title">
                                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                <?php if (function_exists('rwmb_meta')) :
                                    $member_designation = rwmb_meta('markety_member_designaion');
                                    if ($member_designation and $tt_atts['designation_visibility'] == 'visible-designation') : ?>
                                        <span class="designation"><?php echo esc_html($member_designation); ?></span>
                                    <?php endif; 
                                endif; ?>
                            </div>

                            <?php if ($tt_atts['content_visibility'] == 'yes'): ?>
                                <div class="member-content">
                                    <p>
                                        <?php
                                            $tt_trim_word = $tt_atts['word_limit'];
                                            $content = get_the_content();
                                            echo wp_trim_words( $content, $tt_trim_word);
                                        ?>
                                    </p>
                                </div>
                            <?php endif ?>

                            <?php if (function_exists('rwmb_meta')) : ?>
                                
                                <ul class="social-link list-inline">
                                    <?php
                                    
                                    $facebook_link = rwmb_meta('markety_facebook_link');
                                    if ($facebook_link) : ?>
                                        <li>
                                            <a href="<?php echo esc_url($facebook_link); ?>"><i class="fa fa-facebook"></i></a>
                                        </li>
                                    <?php endif; 

                                    $twitter_link = rwmb_meta('markety_twitter_link');
                                    if ($twitter_link) : ?>
                                        <li>
                                            <a href="<?php echo esc_url($twitter_link); ?>"><i class="fa fa-twitter"></i></a>
                                        </li>
                                    <?php endif; 

                                    $google_plus_link = rwmb_meta('markety_google_plus_link');
                                    if ($google_plus_link) : ?>
                                        <li>
                                            <a href="<?php echo esc_url($google_plus_link); ?>"><i class="fa fa-google-plus"></i></a>
                                        </li>
                                    <?php endif; 

                                    $linkedin_link = rwmb_meta('markety_linkedin_link');
                                    if ($linkedin_link) : ?>
                                        <li>
                                            <a href="<?php echo esc_url($linkedin_link); ?>"><i class="fa fa-linkedin"></i></a>
                                        </li>
                                    <?php endif;

                                    $flickr_link = rwmb_meta('markety_flickr_link');
                                    if ($flickr_link) : ?>
                                        <li>
                                            <a href="<?php echo esc_url($flickr_link); ?>"><i class="fa fa-flickr"></i></a>
                                        </li>
                                    <?php endif;

                                    $youtube_link = rwmb_meta('markety_youtube_link');
                                    if ($youtube_link) : ?>
                                        <li>
                                            <a href="<?php echo esc_url($youtube_link); ?>"><i class="fa fa-youtube"></i></a>
                                        </li>
                                    <?php endif;

                                    $email_address = rwmb_meta('markety_member_email');
                                    if ($email_address) : ?>
                                        <li>
                                            <a href="<?php echo esc_url($email_address); ?>"><i class="fa fa-envelope"></i></a>
                                        </li>
                                    <?php endif; ?>
                                </ul>

                            <?php endif; ?>
                        </div><!-- /.member-info -->

                      </div><!-- /.team-member-wrapper -->
                    </div> <!-- .col-## -->

                <?php endwhile; ?>
                <!-- end of the loop -->

            <?php wp_reset_postdata(); ?>

            <?php else : ?>
                <p><?php esc_html_e( 'Member not found !', 'markety' ); ?></p>
            <?php endif; ?>
        </div><!-- .row -->
    </div><!-- .member-wrapper -->
<?php echo ob_get_clean();