<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

if( function_exists('vc_map') ) :

	// Fade Animation for title and subtitle
	$tt_css_animation = array(
		esc_html__('Select animation', 'susastho') 	=> '',
		esc_html__('fadeIn', 'susastho') 			=> 'fadeIn',
		esc_html__('fadeInDown', 'susastho') 		=> 'fadeInDown',
		esc_html__('fadeInDownBig', 'susastho') 		=> 'fadeInDownBig',
		esc_html__('fadeInLeft', 'susastho') 		=> 'fadeInLeft',
		esc_html__('fadeInLeftBig', 'susastho') 		=> 'fadeInLeftBig',
		esc_html__('fadeInRight', 'susastho') 		=> 'fadeInRight',
		esc_html__('fadeInRightBig', 'susastho') 	=> 'fadeInRightBig',
		esc_html__('fadeInUp', 'susastho') 			=> 'fadeInUp',
		esc_html__('fadeInUpBig', 'susastho') 		=> 'fadeInUpBig'
	);

	// animation delay
	$tt_animation_delay = array(
		esc_html__('Select delay option', 'susastho') 	=> '',
		esc_html__('Delay 100ms', 'susastho') 			=> 'delay-100',
		esc_html__('Delay 200ms', 'susastho') 			=> 'delay-200',
		esc_html__('Delay 300ms', 'susastho') 			=> 'delay-300',
		esc_html__('Delay 400ms', 'susastho') 			=> 'delay-400',
		esc_html__('Delay 500ms', 'susastho') 			=> 'delay-500',
		esc_html__('Delay 600ms', 'susastho') 			=> 'delay-600',
		esc_html__('Delay 700ms', 'susastho') 			=> 'delay-700',
		esc_html__('Delay 700ms', 'susastho') 			=> 'delay-700',
		esc_html__('Delay 800ms', 'susastho') 			=> 'delay-800',
		esc_html__('Delay 800ms', 'susastho') 			=> 'delay-800',
		esc_html__('Delay 1000ms', 'susastho') 			=> 'delay-1000',
		esc_html__('Delay 1200ms', 'susastho') 			=> 'delay-1200',
		esc_html__('Delay 1500ms', 'susastho') 			=> 'delay-1500',
		esc_html__('Delay 1800ms', 'susastho') 			=> 'delay-1800'
	);

	// TT Carousel slider element
	vc_map( array(
		'name'                    => esc_html__( 'TT Carousel', 'susastho' ),
		'base'                    => 'tt_carousels',
		'icon'                    => 'fa fa-picture-o',
		'description'             => esc_html__( 'Slider for home page, but you can use it any where in the page', 'susastho' ),
		'as_parent'               => array( 'only' => 'tt_carousel' ),
		'content_element' 		  => true,
    	'show_settings_on_create' => false,
		'category'                => esc_html__( 'TT Elements', 'susastho' ),
		// 'default_content'         => '[home_slide /]',
		'params'                  => array(

			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Slider Height', 'susastho' ),
                'param_name'  => 'slider_height',
                'value'       => array(
                    esc_html__('Select', 'susastho')  =>'',
                    esc_html__('Full Height', 'susastho') => 'tt-full-height',
                    esc_html__('Custom', 'susastho') => 'tt-custom-height'
				),
				'std' => 'tt-custom-height',
                'description' => esc_html__( 'Choose slider height.', 'susastho' )
			),
			
			array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Custom Height for large screen', 'susastho' ),
				'param_name' => 'custom_lg_height',
				'dependency' => array(
					'element' => 'slider_height',
					'value' => array('tt-custom-height')
				),
				'std' => '700',
				'group' => esc_html__( 'Custom Height', 'susastho' ),
                'description' => esc_html__( 'Enter slider custom height in px. e.g: 700px', 'susastho' )
			),

			array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Custom Height for medium screen', 'susastho' ),
				'param_name' => 'custom_md_height',
				'dependency' => array(
					'element' => 'slider_height',
					'value' => array('tt-custom-height')
				),
				'std' => '600',
				'group' => esc_html__( 'Custom Height', 'susastho' ),
                'description' => esc_html__( 'Enter slider custom height in px. e.g: 600px', 'susastho' )
			),

			array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Custom Height for tablet', 'susastho' ),
				'param_name' => 'custom_sm_height',
				'dependency' => array(
					'element' => 'slider_height',
					'value' => array('tt-custom-height')
				),
				'std' => '500',
				'group' => esc_html__( 'Custom Height', 'susastho' ),
                'description' => esc_html__( 'Enter slider custom height in px. e.g: 500px', 'susastho' )
			),

			array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Custom Height for mobile large', 'susastho' ),
				'param_name' => 'custom_xs_height',
				'dependency' => array(
					'element' => 'slider_height',
					'value' => array('tt-custom-height')
				),
				'std' => '450',
				'group' => esc_html__( 'Custom Height', 'susastho' ),
                'description' => esc_html__( 'Enter slider custom height in px. e.g: 400px', 'susastho' )
			),

			array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Custom Height for mobile small', 'susastho' ),
				'param_name' => 'custom_xxs_height',
				'dependency' => array(
					'element' => 'slider_height',
					'value' => array('tt-custom-height')
				),
				'std' => '420',
				'group' => esc_html__( 'Custom Height', 'susastho' ),
                'description' => esc_html__( 'Enter slider custom height in px. e.g: 300px', 'susastho' )
			),
			
			// Navigation
			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Navigation visibility', 'susastho' ),
                'param_name'  => 'navigation',
                'value'       => array(
                    esc_html__('Visible', 'susastho')  => 'nav-visible',
                    esc_html__('Hidden', 'susastho')  => 'nav-disable'
                ),
                'std'		  => 'nav-visible',
                'description' => esc_html__( 'Enable or disable navigation from here', 'susastho' )
			),

			array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Nav Background', 'susastho' ),
				'param_name'  => 'nav_bg',
				'dependency'  => array(
                    'element' => 'navigation',
                    'value'   => array( 'nav-visible' )
				),
				'edit_field_class' => 'vc_col-sm-6',
                'description' => esc_html__( 'You may change navigation background color ', 'susastho' )
			),
			array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Nav Icon Color', 'susastho' ),
				'param_name'  => 'nav_color',
				'dependency'  => array(
                    'element' => 'navigation',
                    'value'   => array( 'nav-visible' )
				),
				'edit_field_class' => 'vc_col-sm-6',
                'description' => esc_html__( 'You may change navigation icon color ', 'susastho' )
			),
			
			array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Nav Border Radius', 'susastho' ),
				'param_name'  => 'btn_border_radius',
				'dependency'  => array(
                    'element' => 'navigation',
                    'value'   => array( 'nav-visible' )
				),
				'edit_field_class' => 'vc_col-sm-6',
                'description' => esc_html__( 'Enter button border radius. E.g: 15px', 'susastho' )
			),
			
			array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Nav Icon Font Size', 'susastho' ),
				'param_name'  => 'nav_font_size',
				'dependency'  => array(
                    'element' => 'navigation',
                    'value'   => array('nav-visible')
				),
				'edit_field_class' => 'vc_col-sm-6',
                'description' => esc_html__( 'Enter navigation font size. E.g: 40px', 'susastho' )
			),
			

			// Navigation
			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Dots visibility', 'susastho' ),
                'param_name'  => 'dots',
                'value'       => array(
                    esc_html__('Visible', 'susastho')  => 'dots-visible',
                    esc_html__('Hidden', 'susastho')  => 'dots-hidden'
                ),
                'std'		  => 'dots-hidden',
                'description' => esc_html__( 'Enable or disable slider dots from here', 'susastho' )
			),
			
			// Slider Loop
			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Slider Loop', 'susastho' ),
                'param_name'  => 'slider_loop',
                'value'       => array(
                    esc_html__('True', 'susastho')  => 'loop-true',
                    esc_html__('False', 'susastho')  => 'loop-false'
                ),
                'std'		  => 'loop-true',
                'description' => esc_html__( 'Enable or disable slider loop', 'susastho' )
			),

			// Slider Loop
			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Slider Auto Play', 'susastho' ),
                'param_name'  => 'auto_paly',
                'value'       => array(
                    esc_html__('True', 'susastho')  => 'autoplay-true',
                    esc_html__('False', 'susastho')  => 'autoplay-false'
                ),
                'std'		  => 'autoplay-true',
                'description' => esc_html__( 'Enable or disable slider autoplay', 'susastho' )
			),

			// Slider Loop
			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Mouse Drag', 'susastho' ),
                'param_name'  => 'mouse_drag',
                'value'       => array(
                    esc_html__('True', 'susastho')  => 'mousedrag-true',
                    esc_html__('False', 'susastho')  => 'mousedrag-false'
                ),
                'std'		  => 'mousedrag-true',
                'description' => esc_html__( 'Enable or disable slider mouse drag', 'susastho' )
			),

            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'susastho' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'susastho' ),
            ),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'susastho' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'susastho' )
			)
		),
		'js_view'                 => 'VcColumnView',
	));


	vc_map( array(
		'name'            => esc_html__( 'Slide', 'susastho' ),
		'base'            => 'tt_carousel',
		'as_child'        => array( 'only' => 'tt_carousels' ),
		'content_element' => true,
		'icon'            => 'fa fa-picture-o',
		'class'			  => 'repeatable-content-wrap',
		'params'          => array(
			array(
				'type'        => 'attach_image',
				'heading'     => esc_html__( 'Image', 'susastho' ),
				'param_name'  => 'slider_image',
				'description' => esc_html__( 'Select images from media library, dimension: min 1700x900', 'susastho' )
			),

			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Content alignment', 'susastho' ),
                'param_name'  => 'content_alignment',
                'value'       => array(
                    esc_html__('Select content alignment', 'susastho') => '',
                    esc_html__('Left', 'susastho') => 'text-left',
                    esc_html__('Center', 'susastho')  =>'text-center',
                    esc_html__('Right', 'susastho')  =>'text-right' 
                ),
                'std'		  => 'text-left',
                'description' => esc_html__( 'Select content alignment', 'susastho' )
			),
			
			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Content Max Width', 'susastho' ),
                'param_name'  => 'content-max-width',
                'value'       => array(
                    esc_html__('Select Max Width', 'susastho') => '',
                    esc_html__('30%', 'susastho') => 'max-width-30',
                    esc_html__('40%', 'susastho') => 'max-width-40',
                    esc_html__('50%', 'susastho') => 'max-width-50',
                    esc_html__('60%', 'susastho') => 'max-width-60',
                    esc_html__('70%', 'susastho') => 'max-width-70',
                    esc_html__('80%', 'susastho') => 'max-width-80',
                    esc_html__('90%', 'susastho') => 'max-width-90',
                    esc_html__('100%', 'susastho') => 'max-width-100',
				),
				'std' => 'max-width-60',
                'description' => esc_html__( 'Select max width of content', 'susastho' ),
			),
			
			// SLIDER OVERLAY

			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Slider overlay enable?', 'susastho' ),
                'param_name'  => 'overlay_color',
                'value'       => array(
                    esc_html__('Yes', 'susastho') => 'yes',
                    esc_html__('No', 'susastho')  =>'no'
				),
				'std' => 'no',
                'description' => esc_html__( 'If you want to enable slider overlay color then select yes', 'susastho' )
			),

			array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Overlay Color 1', 'susastho' ),
				'param_name'  => 'overlay_bg2',
				'dependency'  => array(
                    'element' => 'overlay_color',
                    'value'   => array( 'yes' )
				),
				'edit_field_class'=>'vc_col-sm-6',
                'description' => esc_html__( 'Choose overlay background two ', 'susastho' )
            ),
			
			array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Overlay Color 2', 'susastho' ),
				'param_name'  => 'overlay_bg1',
				'dependency'  => array(
                    'element' => 'overlay_color',
                    'value'   => array( 'yes' )
				),
				'edit_field_class'=>'vc_col-sm-6',
                'description' => esc_html__( 'Choose overlay background one ', 'susastho' )
            ),
			
			
			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Overlay color opacity', 'susastho' ),
                'param_name'  => 'overlay_color_opacity',
                'value'       => array(
                    esc_html__('Select', 'susastho') => '',
                    esc_html__('Opacity 0.1', 'susastho') => 'opacity-one',
                    esc_html__('Opacity 0.2', 'susastho') => 'opacity-two',
                    esc_html__('Opacity 0.3', 'susastho') => 'opacity-three',
                    esc_html__('Opacity 0.4', 'susastho') => 'opacity-four',
                    esc_html__('Opacity 0.5', 'susastho') => 'opacity-five',
                    esc_html__('Opacity 0.6', 'susastho') => 'opacity-six',
                    esc_html__('Opacity 0.7', 'susastho') => 'opacity-seven'
                ),
                'std'		  => 'opacity-0.3',
                'dependency'  => array(
                    'element' => 'overlay_color',
                    'value'   => array( 'yes' )
                ),
                'description' => esc_html__( 'If you want to enable slider overlay color then select yes', 'susastho' )
			),







			// Intro title tab start
			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Intro title', 'susastho' ),
				'param_name'  	=> 'intro-title',
				'holder'		=> 'h5',
				'description' 	=> esc_html__( 'Enter intro title', 'susastho' ),
				'group' 		=> esc_html__( 'Intro Title', 'susastho' )
			),
			
			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Font size', 'susastho' ),
				'param_name'  	=> 'intro-font-size',
				'description' 	=> esc_html__( 'Enter intro font size in px, e.g: 24px', 'susastho' ),
				'group' 		=> esc_html__( 'Intro Title', 'susastho' )
			),

			array(
				'type'        	=> 'colorpicker',
				'heading'     	=> esc_html__( 'Font color', 'susastho' ),
				'param_name'  	=> 'title-intro-color',
				'description' 	=> esc_html__( 'Enter title intro font color', 'susastho' ),
				'group' 		=> esc_html__( 'Intro Title', 'susastho' )
			),

			
			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Margin bottom', 'susastho' ),
				'param_name'  	=> 'intro_margin_bottom',
				'description' 	=> esc_html__( 'Enter margin bottom in px, e.g: 30px', 'susastho' ),
				'group' 		=> esc_html__( 'Intro Title', 'susastho' )
			),
			
			array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Intro title animation', 'susastho' ),
				'param_name'  	=> 'intro_title_animation',
				'value'			=> $tt_css_animation,
				'std' => 'fadeInUp',
				'description' 	=> esc_html__( 'Select animation for intro title, e.g: fadeInDown', 'susastho' ),
				'group' 		=> esc_html__( 'Intro Title', 'susastho' )
			),

			array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Animation delay', 'susastho' ),
				'param_name'  	=> 'intro_title_ani_delay',
				'value'			=> $tt_animation_delay,
				'std' => 'delay-200',
				'description' 	=> esc_html__( 'Select animation delay for intro title, e.g: Delay 300ms', 'susastho' ),
				'group' 		=> esc_html__( 'Intro Title', 'susastho' )
			),
			// Intro title tab end


			// Title tab start
			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Title', 'susastho' ),
				'param_name'  	=> 'title',
				'holder'		=> 'h3',
				'description' 	=> esc_html__( 'Enter banner title', 'susastho' ),
				'group' 		=> esc_html__( 'Large title', 'susastho' )
			),

			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Font size', 'susastho' ),
				'param_name'  	=> 'title-font-size',
				'description' 	=> esc_html__( 'Enter title font size in px, e.g: 60px', 'susastho' ),
				'group' 		=> esc_html__( 'Large title', 'susastho' )
			),

			array(
				'type'        	=> 'colorpicker',
				'heading'     	=> esc_html__( 'Font color', 'susastho' ),
				'param_name'  	=> 'title-font-color',
				'description' 	=> esc_html__( 'Enter title font color', 'susastho' ),
				'group' 		=> esc_html__( 'Large title', 'susastho' )
			),

			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Margin bottom', 'susastho' ),
				'param_name'  	=> 'title_margin_bottom',
				'description' 	=> esc_html__( 'Enter margin bottom in px, e.g: 30px', 'susastho' ),
				'group' 		=> esc_html__( 'Large title', 'susastho' )
			),

			array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Title animation', 'susastho' ),
				'param_name'  	=> 'title_animation',
				'value'			=> $tt_css_animation,
				'std' => 'fadeInUp',
				'description' 	=> esc_html__( 'Select animation for title, e.g: fadeInUp', 'susastho' ),
				'group' 		=> esc_html__( 'Large title', 'susastho' )
			),

			array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Animation delay', 'susastho' ),
				'param_name'  	=> 'title_ani_delay',
				'value'			=> $tt_animation_delay,
				'std' => 'delay-300',
				'description' 	=> esc_html__( 'Select animation delay for title, e.g: Delay 1200ms', 'susastho' ),
				'group' 		=> esc_html__( 'Large title', 'susastho' )
			),
			// Title tab End



			// Content tab start
			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Content visibility', 'susastho' ),
                'param_name'  => 'content_visibility',
                'value'       => array(
                    esc_html__('Visible', 'susastho') => 'visible',
                    esc_html__('Hidden', 'susastho')  =>'hidden'
                ),
                'std'		  => 'hidden',
                'group' 		=> esc_html__( 'Content', 'susastho' ),
                'description' => esc_html__( 'Select content visibility option', 'susastho' )
            ),

			array(
				'type'        	=> 'textarea_html',
				'heading'     	=> esc_html__( 'Content', 'susastho' ),
				'param_name'  	=> 'content',
				'description' 	=> esc_html__( 'Enter banner content here', 'susastho' ),
				'group' 		=> esc_html__( 'Content', 'susastho' ),
				'dependency'  => array(
                    'element' => 'content_visibility',
                    'value'   => array( 'visible' )
                )
			),

			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Font size', 'susastho' ),
				'param_name'  	=> 'content-font-size',
				'admin_label'	=> true,
				'description' 	=> esc_html__( 'Enter content font size in px, e.g: 60px', 'susastho' ),
				'group' 		=> esc_html__( 'Content', 'susastho' ),
				'dependency'  => array(
                    'element' => 'content_visibility',
                    'value'   => array( 'visible' )
                )
			),

			array(
				'type'        	=> 'colorpicker',
				'heading'     	=> esc_html__( 'Font color', 'susastho' ),
				'param_name'  	=> 'content-font-color',
				'description' 	=> esc_html__( 'Enter content font color', 'susastho' ),
				'group' 		=> esc_html__( 'Content', 'susastho' ),
				'dependency'  => array(
                    'element' => 'content_visibility',
                    'value'   => array( 'visible' )
                )
			),

			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Margin bottom', 'susastho' ),
				'param_name'  	=> 'content_margin_bottom',
				'description' 	=> esc_html__( 'Enter margin bottom in px, e.g: 30px', 'susastho' ),
				'group' 		=> esc_html__( 'Content', 'susastho' ),
			),

			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Padding Left', 'susastho' ),
				'param_name'  	=> 'content_padding_left',
				'description' 	=> esc_html__( 'Enter content padding left in px, e.g: 60px', 'susastho' ),
				'group' 		=> esc_html__( 'Content', 'susastho' ),
				'dependency'  => array(
                    'element' => 'content_visibility',
                    'value'   => array( 'visible' )
				),
				'edit_field_class' => 'vc_col-sm-6'
			),

			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Padding Right', 'susastho' ),
				'param_name'  	=> 'content_padding_right',
				'description' 	=> esc_html__( 'Enter content padding right in px, e.g: 60px', 'susastho' ),
				'group' 		=> esc_html__( 'Content', 'susastho' ),
				'dependency'  => array(
                    'element' => 'content_visibility',
                    'value'   => array( 'visible' )
				),
				'edit_field_class' => 'vc_col-sm-6'
			),

			array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Content animation', 'susastho' ),
				'param_name'  	=> 'content_animation',
				'value'			=> $tt_css_animation,
				'std' => 'fadeInUp',
				'description' 	=> esc_html__( 'Select animation for content, e.g: fadeInUp', 'susastho' ),
				'group' 		=> esc_html__( 'Content', 'susastho' ),
				'dependency'  => array(
                    'element' => 'content_visibility',
                    'value'   => array( 'visible' )
                )
			),

			array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Animation delay', 'susastho' ),
				'param_name'  	=> 'content_ani_delay',
				'value'			=> $tt_animation_delay,
				'std' => 'delay-500',
				'description' 	=> esc_html__( 'Select animation delay for content, e.g: Delay 1200ms', 'susastho' ),
				'group' 		=> esc_html__( 'Content', 'susastho' ),
				'dependency'  => array(
                    'element' => 'content_visibility',
                    'value'   => array( 'visible' )
                )
			),
			//End content tab


			// Button tab start
			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Button visibility', 'susastho' ),
                'param_name'  => 'button_visibility',
                'value'       => array(
                    esc_html__('Visible', 'susastho') => 'visible',
                    esc_html__('Hidden', 'susastho')  =>'hidden'
                ),
                'std'		  => 'hidden',
                'group' 		=> esc_html__( 'Button', 'susastho' ),
                'description' => esc_html__( 'Select button visibility option', 'susastho' )
            ),

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Button style', 'susastho' ),
                'param_name'  => 'button_style',
                'value'       => array(
                    esc_html__('Primary', 'susastho') => 'btn-primary',
                    esc_html__('Outline', 'susastho') => 'btn-outline',
                    esc_html__('Custom', 'susastho') => 'btn-custom',
                ),
                'description' => esc_html__( 'Select a button style', 'susastho' ),
                'group' 		=> esc_html__( 'Button', 'susastho' ),
                'dependency'  => array(
                    'element' => 'button_visibility',
                    'value'   => array( 'visible' )
                )
            ),

            array(
				'type'        	=> 'colorpicker',
				'heading'     	=> esc_html__( 'Button Background', 'susastho' ),
				'param_name'  	=> 'button_bg',
				'admin_label'	=> true,
				'description' 	=> esc_html__( 'Choose button background', 'susastho' ),
				'group' 		=> esc_html__( 'Button', 'susastho' ),
				'edit_field_class' => 'vc_col-sm-6',
				'dependency'  => array(
                    'element' => 'button_style',
                    'value'   => array( 'btn-custom' )
                )
			),

            array(
				'type'        	=> 'colorpicker',
				'heading'     	=> esc_html__( 'Button Color', 'susastho' ),
				'param_name'  	=> 'button_color',
				'admin_label'	=> true,
				'description' 	=> esc_html__( 'Choose button color', 'susastho' ),
				'group' 		=> esc_html__( 'Button', 'susastho' ),
				'edit_field_class' => 'vc_col-sm-6',
				'dependency'  => array(
                    'element' => 'button_style',
                    'value'   => array( 'btn-custom' )
                )
			),

            array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Button text', 'susastho' ),
				'param_name'  	=> 'button_text',
				'admin_label'	=> true,
				'description' 	=> esc_html__( 'Enter button text', 'susastho' ),
				'group' 		=> esc_html__( 'Button', 'susastho' ),
				'dependency'  => array(
                    'element' => 'button_visibility',
                    'value'   => array( 'visible' )
                )
			),

            array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Border Radius', 'susastho' ),
				'param_name'  	=> 'btn_radius',
				'value'       => array(
                    esc_html__('No Border Radius', 'susastho') => '0px',
                    esc_html__('3px', 'susastho') => '3px',
                    esc_html__('4px', 'susastho') => '4px',
                    esc_html__('5px', 'susastho') => '5px',
                    esc_html__('10px', 'susastho') => '10px',
                    esc_html__('30px', 'susastho') => '30px',
                ),
				'description' 	=> esc_html__( 'Enter button border radius', 'susastho' ),
				'group' 		=> esc_html__( 'Button', 'susastho' ),
				'dependency'  => array(
                    'element' => 'button_visibility',
                    'value'   => array( 'visible' )
                )
			),

			array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Button Height', 'susastho' ),
				'param_name'  => 'btn_height',
				'description' => esc_html__( 'Enter button border radius. E.g: 15px', 'susastho' ),
				'group' 		=> esc_html__( 'Button', 'susastho' ),
				'dependency'  => array (
                    'element' => 'button_visibility',
                    'value'   => array( 'visible' )
                )
			),

            array(
				'type' => 'vc_link',
				'heading' => esc_html__('Button Link', 'tt-pl-textdomain'),
				'param_name' => 'link',
				'description' => esc_html__('Enter button url', 'tt-pl-textdomain'),
				'group' 		=> esc_html__( 'Button', 'susastho' ),
				'dependency'  => array(
                    'element' => 'button_visibility',
                    'value'   => array( 'visible' )
                )
			),

			array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Button animation', 'susastho' ),
				'param_name'  	=> 'button_animation',
				'value'			=> $tt_css_animation,
				'std' => 'fadeInUp',
				'description' 	=> esc_html__( 'Select animation for button, e.g: fadeInUp', 'susastho' ),
				'group' 		=> esc_html__( 'Button', 'susastho' ),
				'dependency'  => array(
                    'element' => 'button_visibility',
                    'value'   => array( 'visible' )
                )
			),

			array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Animation delay', 'susastho' ),
				'param_name'  	=> 'button_ani_delay',
				'value'			=> $tt_animation_delay,
				'std' => 'delay-700',
				'description' 	=> esc_html__( 'Select animation delay for button, e.g: Delay 1200ms', 'susastho' ),
				'group' 		=> esc_html__( 'Button', 'susastho' ),
				'dependency'  => array(
                    'element' => 'button_visibility',
                    'value'   => array( 'visible' )
                )
			),
            //End button tab


			// extra image tab
			array(
                'type' => 'attach_image',
                'heading' => esc_html__( 'Extra Image', 'susastho'),
                'param_name' => 'extra_image',
                'group' 		=> esc_html__( 'Extra Image', 'susastho' ),
                'description' => esc_html__( 'Use an extra image', 'susastho' )
            ),

			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Image Position', 'susastho' ),
                'param_name'  => 'image-position',
                'value'       => array(
                    esc_html__('Select image position', 'susastho') => '',
                    esc_html__('Left center', 'susastho') => 'img-left-center',
                    esc_html__('Left top', 'susastho') => 'img-left-top',
                    esc_html__('Left bottom', 'susastho') => 'img-left-bottom',
                    esc_html__('Right center', 'susastho') => 'img-right-center',
                    esc_html__('Right top', 'susastho') => 'img-right-top',
                    esc_html__('Right bottom', 'susastho') => 'img-right-bottom',
                ),
                'description' => esc_html__( 'Select image position', 'susastho' ),
                'group' 		=> esc_html__( 'Extra Image', 'susastho' )
			),
			
			array(
				'type'        	=> 'textfield',
				'heading'     	=> esc_html__( 'Right Value', 'susastho' ),
				'param_name'  	=> 'img_custom_right',
				'admin_label'	=> true,
				'description' 	=> esc_html__( 'You can add custom right value. e.g: 150px', 'susastho' ),
				'group' 		=> esc_html__( 'Extra Image', 'susastho' ),
				'dependency'  => array(
                    'element' => 'image-position',
                    'value'   => array( 'img-right-center', 'img-right-top', 'img-right-bottom' )
                )
			),

			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Visibility', 'susastho' ),
                'param_name'  => 'image-visibility',
                'value'       => array(
                    esc_html__('Visible all device', 'susastho') => '',
                    esc_html__('Hidden from mobile', 'susastho') => 'hidden-xs',
                    esc_html__('Hidden from tablet', 'susastho') => 'hidden-sm',
                    esc_html__('Hidden from mobile and tablet', 'susastho') => 'hidden-xs hidden-sm',
                    esc_html__('Hidden from laptop', 'susastho') => 'hidden-md',
                    esc_html__('Hidden from desktop', 'susastho') => 'hidden-lg',
                ),
                'description' => esc_html__( 'Select image position', 'susastho' ),
                'group' 		=> esc_html__( 'Extra Image', 'susastho' )
            ),

            array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Image animation', 'susastho' ),
				'param_name'  	=> 'image_animation',
				'value'			=> $tt_css_animation,
				'std' => 'fadeInUp',
				'description' 	=> esc_html__( 'Select animation for image, e.g: fadeInUp', 'susastho' ),
				'group' 		=> esc_html__( 'Extra Image', 'susastho' )
			),

			array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Animation delay', 'susastho' ),
				'param_name'  	=> 'image_ani_delay',
				'value'			=> $tt_animation_delay,
				'std' => 'delay-900',
				'description' 	=> esc_html__( 'Select animation delay for image, e.g: Delay 1200ms', 'susastho' ),
				'group' 		=> esc_html__( 'Extra Image', 'susastho' )
			),
            // end image tab

			array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'susastho' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'susastho' ),
            ),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'susastho' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'susastho' )
			)
		)
	));

	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
		class WPBakeryShortCode_tt_carousels extends WPBakeryShortCodesContainer {
		}
	}

	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_tt_carousel extends WPBakeryShortCode {
		}
	}
endif;