<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

if( function_exists('vc_map') ) :

	// Counting element
	vc_map( array(
		'name'              => esc_html__( 'TT Counting', 'markety' ),
		'base'              => 'tt_counts',
		'controls'          => 'full',
		'icon'              => 'fa fa-history',
		'show_settings_on_create'   => TRUE,
		'description'       => esc_html__( 'Display Counting', 'markety' ),
		'as_parent'         => array( 'only' => 'tt_count' ),
		'content_element'   => TRUE,
		'category'          => esc_html__( 'TT Elements', 'markety' ),
		'default_content'   => "[tt_count counted_number='' subtitle=''/]",
		'params'            => array(
			array(
				'type'        	=> 'dropdown',
				'heading'     	=> esc_html__( 'Style', 'markety' ),
				'param_name'  	=> 'style',
				'admin_label'	=> true,
				'value'			=> array(
					__('Style one', 'markety')	=> 'style-one',
					__('Style two', 'markety')	=> 'style-two'
				),
				'description' 	=> esc_html__( 'Select style', 'markety' )
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'markety' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'markety' )
			)
		),
		'js_view'                 => 'VcColumnView',
	));


	vc_map( array(
		'name'                      => esc_html__( 'Single counting', 'markety' ),
		'base'                      => 'tt_count',
		'content_element'           => true,
		'show_settings_on_create'   => TRUE,
		'as_child'                  => array( 'only' => 'tt_counts' ),
		'is_container'              => TRUE,
		'params'                    => array(
			
			array(
                'type'        => 'dropdown',
                'class'       => '',
                'heading'     => esc_html__( 'Show icon ?', 'markety' ),
                'param_name'  => 'show_icon',
                'value' => array(
                    esc_html__('select option', 'markety') => '',
                    esc_html__('Yes', 'markety') => 'yes',
                    esc_html__('No', 'markety') => 'no'
                ),
                'description' => esc_html__( 'If you do not like to show icon then select no', 'markety' ),
            ),

			array(
                'type'        => 'dropdown',
                'class'       => '',
                'heading'     => esc_html__( 'Select icon type ?', 'markety' ),
                'param_name'  => 'icon_type',
                'value' => array(
                    esc_html__('select option', 'markety') => '',
                    esc_html__('Fontawesome', 'markety') => 'fontawesome-icon',
                    esc_html__('Flaticon', 'markety') => 'flat-icon'
                ),
                'description' => esc_html__( 'There are two icon types fontawesome and flaticons, choose your type', 'markety' ),
                'dependency'  => array(
                    'element' => 'show_icon',
                    'value'   => array( 'yes' )
                )
            ),
            array(
                'type'       => 'iconpicker',
                'heading'    => esc_html__('Fontawesome', 'markety'),
                'param_name' => 'fontawesome_icon',
                'settings'   => array(
                    'type' => 'fontawesome'
                ),
                'description' => esc_html__( 'Fontawesome list. Pickup your choice.', 'markety'
                ),
                'dependency'  => array(
                    'element' => 'icon_type',
                    'value'   => array( 'fontawesome-icon' )
                ),
            ),

            array(
                'type'       => 'iconpicker',
                'heading'    => esc_html__('Flaticon', 'markety'),
                'param_name' => 'flat_icon',
                'settings'   => array(
                    'type' => 'flaticon'
                ),
                'description' => esc_html__( 'Flaticon list. Pickup your choice.', 'markety'
                ),
                'dependency'  => array(
                    'element' => 'icon_type',
                    'value'   => array( 'flat-icon' )
                ),
            ),

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Icon color', 'markety' ),
                'param_name'  => 'icon_color_option',
                'value'       => array(
                    esc_html__('Default Color', 'markety') => '',
                    esc_html__('Theme Color', 'markety')  =>'theme-color',
                    esc_html__('Custom Color', 'markety')  =>'custom-color'
                ),
                'description' => esc_html__( 'If you change default icon color then select custom color', 'markety' )
            ),

            array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Select color', 'markety' ),
                'param_name'  => 'icon_color',
                'description' => esc_html__( 'change icon color', 'markety' ),
                'dependency'  => array(
                    'element' => 'icon_color_option',
                    'value'   => array( 'custom-color' )
                ),
            ),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Counted Number', 'markety' ),
				'param_name'  => 'counted_number',
				'admin_label'=> true,
				'description' => esc_html__( 'Put your counted number', 'markety' )
			),

			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Counted number color', 'markety' ),
                'param_name'  => 'counted_number_color_option',
                'value'       => array(
                    esc_html__('Default color', 'markety') => '',
                    esc_html__('Custom color', 'markety')  =>'custom-color',
                ),
                'description' => esc_html__( 'If you change default title color then select custom color', 'markety' )
            ),

            array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Select color', 'markety' ),
                'param_name'  => 'counted_number_color',
                'description' => esc_html__( 'change counted number color', 'markety' ),
                'dependency'  => array(
                    'element' => 'counted_number_color_option',
                    'value'   => array( 'custom-color' )
                ),
            ),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Subtitle', 'markety' ),
				'param_name'  => 'subtitle',
				'admin_label' => true,
				'description' => esc_html__( 'Enter subtitle', 'markety' )
			),

			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Title color', 'markety' ),
                'param_name'  => 'title_color_option',
                'value'       => array(
                    esc_html__('Default color', 'markety') => '',
                    esc_html__('Custom color', 'markety')  =>'custom-color',
                ),
                'description' => esc_html__( 'If you change default title color then select custom color', 'markety' )
            ),

            array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Select color', 'markety' ),
                'param_name'  => 'title_color',
                'description' => esc_html__( 'change title color', 'markety' ),
                'dependency'  => array(
                    'element' => 'title_color_option',
                    'value'   => array( 'custom-color' )
                ),
            ),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Grid Class', 'markety' ),
				'param_name'  => 'grid_class',
				'description' => esc_html__( 'Enter bootstrap grid class', 'markety' ),
				'value' => 'col-sm-3',
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'markety' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'markety' )
			)
		)
	));


	//Your 'container' content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
		class WPBakeryShortCode_Tt_Counts extends WPBakeryShortCodesContainer {
		}
	}


	if ( class_exists( 'WPBakeryShortCode' ) ) {
		class WPBakeryShortCode_Tt_Count extends WPBakeryShortCode {
		}
	}
endif;