<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

if( function_exists('vc_map') ) :

	// Home banner element
	vc_map( array(
		'name'          => esc_html__( 'Hero Block', 'markety' ),
		'base'          => 'tt_hero_block',
		'icon'        	=> 'fa fa-align-center',
        'category'    	=> esc_html__( 'TT Elements', 'markety' ),
        'description' 	=> esc_html__( 'Displays hero text block', 'markety' ),
		'params'        => array(
			
			array(
				'type'        	=> 'textarea_html',
				'heading'     	=> esc_html__( 'Intro title', 'markety' ),
				'param_name'  	=> 'content',
				'holder'		=> 'span',
				'class'			=> 'text-center',
				'description' 	=> esc_html__( 'Enter hero title and description here', 'markety' )
			),

			array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Content alignment', 'markety' ),
                'param_name'  => 'title_alignment',
                'value'       => array(
                    esc_html__('Select title alignment', 'markety') => '',
                    esc_html__('Left', 'markety') => 'text-left',
                    esc_html__('Center', 'markety')  =>'text-center',
                    esc_html__('Right', 'markety')  =>'text-right' 
                ),
                'description' => esc_html__( 'Select content alignment', 'markety' )
            ),

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Show learn more button ?', 'markety' ),
                'param_name'  => 'show_button',
                'value'       => array(
                    esc_html__('Select an option', 'markety') => '',
                    esc_html__('Yes', 'markety') => 'yes',
                    esc_html__('No', 'markety') => 'no'
                    
                ),
                'admin_label' => true,
                'description' => esc_html__( 'If you want to show button then select yes', 'markety')
            ),

            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Button text', 'markety' ),
                'param_name'  => 'button_text',
                'value'       => esc_html__('Learn More', 'markety' ),
                'description' => esc_html__( 'Change button text', 'markety' ),
                'dependency' => array(
                    'element' => 'show_button', 
                    'value' => array('yes')
                )
            ),

            array(
                'type'        => 'vc_link',
                'heading'     => esc_html__( 'Button link', 'markety' ),
                'param_name'  => 'custom_link',
                'description' => esc_html__( 'Enter custom link or select existing page as link', 'markety' ),
                'dependency' => array(
                    'element' => 'show_button',
                    'value' => array('yes')
                )
            ),

            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Button class', 'markety' ),
                'param_name'  => 'button_class',
                'admin_label' => true,
                'description' => esc_html__( 'Use button class field to style particularly', 'markety' ),
                'dependency' => array(
                    'element' => 'show_button', 
                    'value' => array('yes')
                )
            ),

            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'markety' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'markety' ),
            ),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'markety' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'markety' )
			)
		)
	));


	if (class_exists('WPBakeryShortCode')) {
        class WPBakeryShortCode_tt_Hero_Block extends WPBakeryShortCode {
        }
    }
endif;