<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

if (function_exists('vc_map')) :

    vc_map( array(
        'name'        => esc_html__( 'TT Icon Content Box', 'markety' ),
        'base'        => 'tt_icon_content_box',
        'icon'        => 'fa fa-align-center',
        'category'    => esc_html__( 'TT Elements', 'markety' ),
        'description' => esc_html__( 'Show off icon content with box', 'markety' ),
        'params'      => array(

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Content box style', 'markety' ),
                'param_name'  => 'content_box_style',
                'value'       => array(
                    esc_html__('Default Style', 'markety') => 'default-style',
                    esc_html__('Standard Style', 'markety')  =>'standard-style',
                    esc_html__('Creative Style', 'markety')  =>'creative-style',
                ),
                'description' => esc_html__( 'Choose content box style', 'markety' ),
 
            ),

            array(
                'type'        => 'dropdown',
                'class'       => '',
                'heading'     => esc_html__( 'Show icon ?', 'markety' ),
                'param_name'  => 'show_icon',
                'value' => array(
                    esc_html__('select option', 'markety') => '',
                    esc_html__('Yes', 'markety') => 'yes',
                    esc_html__('No', 'markety') => 'no'
                ),
                'admin_label' => true,
                'description' => esc_html__( 'If you do not like to show icon then select no', 'markety' ),
            ),
            array(
                'type'        => 'dropdown',
                'class'       => '',
                'heading'     => esc_html__( 'Select icon type ?', 'markety' ),
                'param_name'  => 'icon_type',
                'value' => array(
                    esc_html__('select option', 'markety') => '',
                    esc_html__('Fontawesome', 'markety') => 'fontawesome-icon',
                    esc_html__('Flaticon', 'markety') => 'flat-icon',
                    esc_html__('Image Icon', 'markety') => 'image-icon'
                ),
                'admin_label' => true,
                'description' => esc_html__( 'There are two icon types fontawesome and flaticons, choose your type', 'markety' ),
                'dependency'  => array(
                    'element' => 'show_icon',
                    'value'   => array( 'yes' )
                )
            ),
            array(
                'type'       => 'iconpicker',
                'heading'    => esc_html__('Fontawesome', 'markety'),
                'param_name' => 'fontawesome_icon',
                'settings'   => array(
                    'type' => 'fontawesome'
                ),
                'description' => esc_html__( 'Fontawesome list. Pickup your choice.', 'markety'
                ),
                'dependency'  => array(
                    'element' => 'icon_type',
                    'value'   => array( 'fontawesome-icon' )
                )
            ),
            array(
                'type'       => 'iconpicker',
                'heading'    => esc_html__('Flaticon', 'markety'),
                'param_name' => 'flat_icon',
                'settings'   => array(
                    'type' => 'flaticon'
                ),
                'description' => esc_html__( 'Flaticon list. Pickup your choice.', 'markety'
                ),
                'dependency'  => array(
                    'element' => 'icon_type',
                    'value'   => array( 'flat-icon' )
                )
            ),
            array(
                'type' => 'attach_image',
                'heading' => esc_html__( 'Images icon', 'markety'),
                'param_name' => 'image_icon',
                'description' => esc_html__( 'Select images icon from media library.', 'markety' ),
                'dependency'  => array(
                    'element' => 'icon_type',
                    'value'   => array( 'image-icon' )
                )
            ),

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Content box background color', 'markety' ),
                'param_name'  => 'content_box_bg_color',
                'value'       => array(
                    esc_html__('Dark Blue', 'markety') => 'dark-blue-bg',
                    esc_html__('Light Blue', 'markety')  =>'light-blue-bg',
                    esc_html__('Light Pink', 'markety')  =>'light-pink-bg',
                    esc_html__('Light Green', 'markety')  =>'light-green-bg',
                    esc_html__('Custom Color', 'markety')  =>'custom-color',
                ),
                'description' => esc_html__( 'Choose content box background color', 'markety' ),
 
            ),

            array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Select color', 'markety' ),
                'param_name'  => 'content_custom_color',
                'description' => esc_html__( 'change icon color', 'markety' ),
                'dependency'  => array(
                    'element' => 'content_box_bg_color',
                    'value'   => array( 'custom-color' )
                )
            ),

            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Icon color', 'markety' ),
                'param_name'  => 'icon_color_option',
                'value'       => array(
                    esc_html__('Default Color', 'markety') => '',
                    esc_html__('Theme Color', 'markety')  =>'theme-color',
                    esc_html__('Custom Color', 'markety')  =>'custom-color',
                ),
                'description' => esc_html__( 'If you change default icon color then select custom color', 'markety' ),
                'dependency'  => array(
                    'element' => 'icon_type',
                    'value'   => array( 'fontawesome-icon', 'flat-icon' )
                )
            ),
            array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Select color', 'markety' ),
                'param_name'  => 'icon_color',
                'description' => esc_html__( 'change icon color', 'markety' ),
                'dependency'  => array(
                    'element' => 'icon_color_option',
                    'value'   => array( 'custom-color' )
                )
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Title', 'markety' ),
                'param_name'  => 'title',
                'holder' => 'h3',
                'description' => esc_html__( 'Enter title here', 'markety' )
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Title color', 'markety' ),
                'param_name'  => 'title_color_option',
                'value'       => array(
                    esc_html__('Default color', 'markety') => '',
                    esc_html__('Theme color', 'markety')  =>'theme-color',
                    esc_html__('Custom color', 'markety')  =>'custom-color',
                ),
                'admin_label' => true,
                'description' => esc_html__( 'If you change default title color then select custom color', 'markety' )
            ),
            array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Select color', 'markety' ),
                'param_name'  => 'title_color',
                'description' => esc_html__( 'change title color', 'markety' ),
                'dependency'  => array(
                    'element' => 'title_color_option',
                    'value'   => array( 'custom-color' )
                )
            ),
            array(
                'type'        => 'textarea_html',
                'heading'     => esc_html__( 'Text', 'markety' ),
                'param_name'  => 'content',
                'description' => esc_html__( 'Enter content here.', 'markety' )
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Box height', 'markety' ),
                'param_name'  => 'block_height',
                'description' => esc_html__( 'Enter block height in px, e.g: 270px', 'markety' )
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Set custom link ?', 'markety' ),
                'param_name'  => 'custom_link',
                'value'       => array(
                    esc_html__('No', 'markety') => 'no',
                    esc_html__('Yes', 'markety')  =>'yes',
                ),
                'admin_label' => true,
                'description' => esc_html__( 'If you want to set custom link then select yes, the link will appear on title', 'markety' )
            ),

            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Reademore Text', 'markety' ),
                'param_name'  => 'readmore_text',
                'value'       => esc_html__( 'Reademore', 'markety' ),

                'dependency'  => array(
                    'element' => 'custom_link',
                    'value'   => array( 'yes' )
                ),

                'description' => esc_html__( 'Enter readmore text here', 'markety' )
            ),


            array(
                'type'        => 'vc_link',
                'heading'     => esc_html__( 'Link', 'markety' ),
                'param_name'  => 'link',
                'description' => esc_html__( 'Enter link or select page as link', 'markety' ),
                'dependency'  => array(
                    'element' => 'custom_link',
                    'value'   => array( 'yes' )
                ),
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'markety' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'markety' ),
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Extra class name', 'markety' ),
                'param_name'  => 'el_class',
                'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'markety' )
            )
        )
    ));

    if (class_exists('WPBakeryShortCode')) {
        class WPBakeryShortCode_TT_Icon_Content_Box extends WPBakeryShortCode {
        }
    }

endif; // function_exists( 'vc_map' )